Bug 173356 - [MAINTAINER] games/blockrage: Changed Makefile, added Desktop entries, icons, removed all Notes
Summary: [MAINTAINER] games/blockrage: Changed Makefile, added Desktop entries, icons,...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-04 07:40 UTC by nemysis
Modified: 2013-03-14 21:10 UTC (History)
1 user (show)

See Also:


Attachments
blockrage-0.2.3_3.patch (4.48 KB, patch)
2012-11-04 07:40 UTC, nemysis
no flags Details | Diff
blockrage.diff (6.14 KB, patch)
2012-11-04 13:19 UTC, nemysis
no flags Details | Diff
blockrage.diff (5.94 KB, patch)
2013-02-23 01:38 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-11-04 07:40:00 UTC
Removed file(s):
- files/patch-configure

and used in Makefile
+post-patch:

Makefile changed:
+		SF/nemysisfreebsdp/:icons
+		${PORTNAME}_icons.tar.gz:icons
+BUILD_DEPENDS=	pngtopnm:${PORTSDIR}/graphics/netpbm
+PLIST_FILES=
+INSTALLS_ICONS=	yes
+ICON_SIZES=	32x32 48x48 64x64 72x72 96x96
+DESKTOP_ENTRIES

Changed and refined
 do-install:
 post-install:

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

port test: clean
Comment 1 nemysis 2012-11-04 13:19:05 UTC
Added pkg-plist
Comment 2 nemysis 2013-02-23 01:38:59 UTC
Removed because are unique names
DIST_SUBDIR=    ${PORTNAME}

Added
+               SF/nemysisfreebsdp/:icons
+DISTFILES=     ${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX} \
+               ${PORTNAME}_icons${EXTRACT_SUFX}:icons
+INSTALLS_ICONS=        yes
+ICON_SIZES=    32x32 48x48 64x64 72x72 96x96
...
Comment 3 Beech Rintoul freebsd_committer 2013-03-12 23:28:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

Mine
Comment 4 dfilter service freebsd_committer 2013-03-14 21:08:15 UTC
Author: beech
Date: Thu Mar 14 21:08:06 2013
New Revision: 314185
URL: http://svnweb.freebsd.org/changeset/ports/314185

Log:
  - Add Desktop entries
  - Add icons
  - Add pkg-plist
  - Bump portrevision
  
  PR:		ports/173356
  Submitted by:	nemysis <nemysis@gmx.ch> (maintainer)

Added:
  head/games/blockrage/pkg-plist   (contents, props changed)
Modified:
  head/games/blockrage/Makefile
  head/games/blockrage/distinfo   (contents, props changed)
  head/games/blockrage/files/blockrage.in
  head/games/blockrage/files/patch-configure   (contents, props changed)

Modified: head/games/blockrage/Makefile
==============================================================================
--- head/games/blockrage/Makefile	Thu Mar 14 20:28:08 2013	(r314184)
+++ head/games/blockrage/Makefile	Thu Mar 14 21:08:06 2013	(r314185)
@@ -1,15 +1,14 @@
-# New Ports collection makefile for:	blockrage
-# Date created:		2012-04-28
-# Whom:			nemysis@gmx.ch
-#
+# Created by: nemysis <nemysis@gmx.ch>
 # $FreeBSD$
-#
 
 PORTNAME=	blockrage
 PORTVERSION=	0.2.3
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	games
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION} \
+		SF/nemysisfreebsdp/:icons
+DISTFILES=	${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX} \
+		${PORTNAME}_icons${EXTRACT_SUFX}:icons
 
 MAINTAINER=	nemysis@gmx.ch
 COMMENT=	Falling blocks game with 2-player hotseat mode
@@ -21,39 +20,55 @@ ALL_TARGET=	${PORTNAME}
 USE_SDL=	sdl image mixer
 MAKE_JOBS_SAFE=	yes
 
-PLIST_FILES=	bin/${PORTNAME}
-
 MAN6=		${PORTNAME}.6
 
-PORTDATA=	*
 PORTDOCS=	ChangeLog KNOWN_BUGS README TODO
 
+OPTIONS_DEFINE=	DOCS
+
+INSTALLS_ICONS=	yes
+ICON_SIZES=	32x32 48x48 64x64 72x72 96x96
+
 SUB_FILES=	${PORTNAME}
 
+DESKTOP_ENTRIES="Block Rage" "${COMMENT}" \
+		"share/pixmaps/${PORTNAME}.png" \
+		"${PORTNAME}" "Game;ArcadeGame;" false
+
 .include <bsd.port.options.mk>
 
-do-install:
-# Scripts
-	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME} ${PREFIX}/bin
+.if ${PORT_OPTIONS:MDOCS}
+PLIST_SUB+=	PORTDOCS=""
+.else
+PLIST_SUB+=	PORTDOCS="@comment "
+.endif
 
-# Executable
+post-patch:
+	@${REINPLACE_CMD} -e 's|MYCC=gcc|MYCC=|' \
+	-e 's| -O2 -Wall||' \
+		${WRKSRC}/configure
+
+do-install:
+	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME} ${PREFIX}/bin/
 	${MKDIR} ${DATADIR}
 	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${DATADIR}
 
-post-install:
-	${INSTALL_MAN} ${WRKSRC}/${MAN6} ${MAN6PREFIX}/man/man6
-
-# Data
-.  for d in data blockrage-fhs.rc blockrage.cfg blockrage.rc
+.for d in data blockrage-fhs.rc blockrage.cfg blockrage.rc
 	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${d} ${DATADIR})
-.  endfor
+.endfor
+
+post-install:
+.for s in ${ICON_SIZES}
+	${MKDIR} ${PREFIX}/share/icons/hicolor/${s}/apps
+	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}_${s}.png \
+		${PREFIX}/share/icons/hicolor/${s}/apps/${PORTNAME}.png
+.endfor
+	${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png ${PREFIX}/share/pixmaps/
+	${INSTALL_MAN} ${WRKSRC}/${MAN6} ${MAN6PREFIX}/man/man6/
 
-# Documentation
 .if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
-.  for f in ${PORTDOCS}
-	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
-.  endfor
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
 .endif
 
 .include <bsd.port.mk>

Modified: head/games/blockrage/distinfo
==============================================================================
--- head/games/blockrage/distinfo	Thu Mar 14 20:28:08 2013	(r314184)
+++ head/games/blockrage/distinfo	Thu Mar 14 21:08:06 2013	(r314185)
@@ -1,2 +1,4 @@
 SHA256 (blockrage-0.2.3.tar.gz) = f9722e519fb74be2ecb9377fd2470c94382088a67df33acea215fd0a5a0b4cb6
 SIZE (blockrage-0.2.3.tar.gz) = 75620
+SHA256 (blockrage_icons.tar.gz) = 8a634d710d3e5c251a9a5facc9b7911d125520524918dc6b681d4df255784438
+SIZE (blockrage_icons.tar.gz) = 11264

Modified: head/games/blockrage/files/blockrage.in
==============================================================================
--- head/games/blockrage/files/blockrage.in	Thu Mar 14 20:28:08 2013	(r314184)
+++ head/games/blockrage/files/blockrage.in	Thu Mar 14 21:08:06 2013	(r314185)
@@ -1,7 +1,7 @@
 #!/bin/sh
 #
 # $FreeBSD$
+#
 
-echo "Block Rage: Starting up..."
 cd "%%DATADIR%%"
-./blockrage
+exec ./blockrage

Modified: head/games/blockrage/files/patch-configure
==============================================================================
--- head/games/blockrage/files/patch-configure	Thu Mar 14 20:28:08 2013	(r314184)
+++ head/games/blockrage/files/patch-configure	Thu Mar 14 21:08:06 2013	(r314185)
@@ -1,13 +0,0 @@
---- configure.orig	2005-10-24 21:47:16.000000000 +0200
-+++ configure	2012-05-03 01:41:10.000000000 +0200
-@@ -39,8 +39,8 @@
- #SOUND_OPT=-DNOSOUND
- SOUND_OPT=
- 
--MYCC=gcc
--MYCFLAGS='-s -O2 -Wall `sdl-config --cflags`'" $SOUND_OPT -DSYSCONFDIR=\\\"\${sysconfdir}/\${progname}\\\""
-+MYCC=
-+MYCFLAGS='-s `sdl-config --cflags`'" $SOUND_OPT -DSYSCONFDIR=\\\"\${sysconfdir}/\${progname}\\\""
- 
- if test -z "$CC" ; then
-   CC="$MYCC";

Added: head/games/blockrage/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/blockrage/pkg-plist	Thu Mar 14 21:08:06 2013	(r314185)
@@ -0,0 +1,56 @@
+bin/blockrage
+%%DATADIR%%/blockrage
+%%DATADIR%%/blockrage-fhs.rc
+%%DATADIR%%/blockrage.cfg
+%%DATADIR%%/blockrage.rc
+%%DATADIR%%/data/test/dataset.cfg
+%%DATADIR%%/data/test/fonth.pcx
+%%DATADIR%%/data/test/fonth.txt
+%%DATADIR%%/data/test/fontn.pcx
+%%DATADIR%%/data/test/fontn.txt
+%%DATADIR%%/data/test/g1p.pcx
+%%DATADIR%%/data/test/g2p.pcx
+%%DATADIR%%/data/test/game.col
+%%DATADIR%%/data/test/logo.pcx
+%%DATADIR%%/data/test/menu.pcx
+%%DATADIR%%/data/test/pa0.pcx
+%%DATADIR%%/data/test/pa1.pcx
+%%DATADIR%%/data/test/pa2.pcx
+%%DATADIR%%/data/test/pa3.pcx
+%%DATADIR%%/data/test/pmenu.pcx
+%%DATADIR%%/data/test/s00p1.pcx
+%%DATADIR%%/data/test/s00p1.txt
+%%DATADIR%%/data/test/s00p2.pcx
+%%DATADIR%%/data/test/s00p2.txt
+%%DATADIR%%/data/test/s00p3.pcx
+%%DATADIR%%/data/test/s00p3.txt
+%%DATADIR%%/data/test/s00p4.pcx
+%%DATADIR%%/data/test/s00p4.txt
+%%DATADIR%%/data/test/s00p5.pcx
+%%DATADIR%%/data/test/s00p5.txt
+%%DATADIR%%/data/test/s00p6.pcx
+%%DATADIR%%/data/test/s00p6.txt
+%%DATADIR%%/data/test/sfx0.snd
+%%DATADIR%%/data/test/sfx1.snd
+%%DATADIR%%/data/test/sfx2.snd
+share/icons/hicolor/32x32/apps/blockrage.png
+share/icons/hicolor/48x48/apps/blockrage.png
+share/icons/hicolor/64x64/apps/blockrage.png
+share/icons/hicolor/72x72/apps/blockrage.png
+share/icons/hicolor/96x96/apps/blockrage.png
+share/pixmaps/blockrage.png
+@dirrmtry share/icons/hicolor/96x96/apps
+@dirrmtry share/icons/hicolor/96x96
+@dirrmtry share/icons/hicolor/72x72/apps
+@dirrmtry share/icons/hicolor/72x72
+@dirrmtry share/icons/hicolor/64x64/apps
+@dirrmtry share/icons/hicolor/64x64
+@dirrmtry share/icons/hicolor/48x48/apps
+@dirrmtry share/icons/hicolor/48x48
+@dirrmtry share/icons/hicolor/32x32/apps
+@dirrmtry share/icons/hicolor/32x32
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
+@dirrm %%DATADIR%%/data/test
+@dirrm %%DATADIR%%/data
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Beech Rintoul freebsd_committer 2013-03-14 21:08:25 UTC
State Changed
From-To: open->closed

ommitted, Thanks!